### Enumeration

# Camel ProviderFlags

#### Declaration

    flags Camel.ProviderFlags

#### Description

No description available.

#### Members

`CAMEL_PROVIDER_IS_REMOTE`

  Provider works with remote data.

  - Value: `1`
  - Available since: 1.2
`CAMEL_PROVIDER_IS_LOCAL`

  Provider can be used as a backend for local folder tree folders. (Not just the opposite of #CAMEL_PROVIDER_IS_REMOTE.).

  - Value: `2`
  - Available since: 1.2
`CAMEL_PROVIDER_IS_EXTERNAL`

  Provider appears in the folder tree but is not created by the mail component.

  - Value: `4`
  - Available since: 1.2
`CAMEL_PROVIDER_IS_SOURCE`

  Mail arrives there, so it should be offered as an option in the mail config dialog.

  - Value: `8`
  - Available since: 1.2
`CAMEL_PROVIDER_IS_STORAGE`

  Mail is stored there. It will appear in the folder tree.

  - Value: `16`
  - Available since: 1.2
`CAMEL_PROVIDER_SUPPORTS_SSL`

  Provider supports SSL/TLS connections.

  - Value: `32`
  - Available since: 1.2
`CAMEL_PROVIDER_HAS_LICENSE`

  Provider configuration first needs the license to be accepted. (No longer used.).

  - Value: `64`
  - Available since: 1.2
`CAMEL_PROVIDER_DISABLE_SENT_FOLDER`

  Provider requests to not use the Sent folder when sending with it.

  - Value: `128`
  - Available since: 1.2
`CAMEL_PROVIDER_ALLOW_REAL_TRASH_FOLDER`

  Provider may use a real trash folder instead of a virtual folder.

  - Value: `256`
  - Available since: 1.2
`CAMEL_PROVIDER_ALLOW_REAL_JUNK_FOLDER`

  Provider may use a real junk folder instead of a virtual folder.

  - Value: `512`
  - Available since: 1.2
`CAMEL_PROVIDER_SUPPORTS_MOBILE_DEVICES`

  Download limited set of emails instead of operating on full cache.

  - Value: `1024`
  - Available since: 1.2
`CAMEL_PROVIDER_SUPPORTS_BATCH_FETCH`

  Support to fetch messages in batch.

  - Value: `2048`
  - Available since: 1.2
`CAMEL_PROVIDER_SUPPORTS_PURGE_MESSAGE_CACHE`

  Support to remove oldest downloaded messages to conserve space.

  - Value: `4096`
  - Available since: 1.2